From 45a551b5567b01406f26a5ff58d20ce949f79273 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@2ndquadrant.com>
Date: Wed, 19 Jun 2024 13:26:42 +0200
Subject: [PATCH v20240619 05/11] fixup: clarify GinBuffer comment

---
 src/backend/access/gin/gininsert.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/gin/gininsert.c b/src/backend/access/gin/gininsert.c
index 71a0750da51..7751ab5b0be 100644
--- a/src/backend/access/gin/gininsert.c
+++ b/src/backend/access/gin/gininsert.c
@@ -1108,10 +1108,11 @@ tid_cmp(const void *a, const void *b)
 }
 
 /*
- * State used to combine accumulate TIDs from multiple GinTuples for the same
- * key value.
+ * Buffer used to accumulate TIDs from multiple GinTuples for the same key.
  *
- * XXX Similar purpose to BuildAccumulator, but much simpler.
+ * This is similar to BuildAccumulator in that it's used to collect TIDs
+ * in memory before inserting them into the index, but it's much simpler
+ * as it only deals with a single index key at a time.
  */
 typedef struct GinBuffer
 {
-- 
2.45.2

